Annuler l'abonnement
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Facturation
Annuler l'abonnement
Annule l’abonnement actif pour le locataire authentifié à la fin de la période de facturation en cours.
POST
/
v1
/
billing
/
cancel
Annuler l'abonnement
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/cancel
Réponse
Renvoie l’objet d’abonnement mis à jour aveccancel_at_period_end défini sur true.
Horodatage ISO 8601 indiquant la fin de la période de facturation actuelle et la prise d’effet de l’annulation.
L’annulation est immédiate mais prend effet à la fin de votre période de facturation. Vous ne pouvez pas annuler une annulation via l’API — pour vous réabonner, créez une nouvelle session de paiement.

